Appends nodes after the last child node

- « DOMElement::after

- DOMElement::before »

- PHP Manual
- DOMElement
- Appends nodes after the last child node

# DOMElement::append

(PHP 8)

DOMElement::append — Appends nodes after the last child node

### Description

public DOMElement::append(DOMNode|string `...$nodes`): void

Appends one or many `nodes` to the list of children after the last child node.

### Parameters

`nodes`

  The nodes to append. Strings are automatically converted to text nodes.

### Return Values

No value is returned.

### Errors/Exceptions

`DOM_HIERARCHY_REQUEST_ERR`

  Raised if this node is of a type that does not allow children of the type of one of the passed `nodes`, or if the node to put in is one of this node's ancestors or this node itself.

`DOM_WRONG_DOCUMENT_ERR`

  Raised if one of the passed `nodes` was created from a different document than the one that created this node.

### Changelog

Version | Description
--- | ---
8.3.0 | Calling this method on a node without an owner document now works. Previously this threw a DOMException with code `DOM_HIERARCHY_REQUEST_ERR`.

### Examples

Example #1 DOMElement::append() example

Appends nodes in the container element.

    <?php
    $doc = new DOMDocument;
    $doc->loadXML("<container>hello </container>");
    $world = $doc->documentElement;

    $world->append("beautiful", $doc->createElement("world"));

    echo $doc->saveXML();
    ?>

The above example will output:

    <?xml version="1.0"?>
    <container>hello beautiful<world/></container>

### See Also

- DOMParentNode::append() - Appends nodes after the last child node
- DOMElement::prepend() - Prepends nodes before the first child node